package example

// Code generated by defimpl for default implementation of interfaces. DO NOT EDIT.

import (
	"encoding/json"
	"encoding/xml"
	"image"
	"time"
	dom "gitlab.com/art.frela/defimpl/pkg/domain"
)

// DefImplHandler default implementation of Handler.
type DefImplHandler struct{}

// Do default implementation method of Handler interface.
func (DefImplHandler) Do(<-chan int, chan<- *int) error {
	panic("method Do not yet implemented")
}

// Get default implementation method of Handler interface.
func (DefImplHandler) Get(chan int) (interface{}, error) {
	panic("method Get not yet implemented")
}

// See default implementation method of Handler interface.
func (DefImplHandler) See() chan Text {
	panic("method See not yet implemented")
}

// Try default implementation method of Handler interface.
func (DefImplHandler) Try() *dom.Zero {
	panic("method Try not yet implemented")
}

// DefImplData default implementation of Data.
type DefImplData struct{}

// Write default implementation method of Data interface.
func (DefImplData) Write([]byte, json.Decoder) (int, time.Time, error) {
	panic("method Write not yet implemented")
}

// Read default implementation method of Data interface.
func (DefImplData) Read(...int) ([]byte, error) {
	panic("method Read not yet implemented")
}

// ReadPtr default implementation method of Data interface.
func (DefImplData) ReadPtr(...*int) ([]byte, error) {
	panic("method ReadPtr not yet implemented")
}

// ReadFuncs default implementation method of Data interface.
func (DefImplData) ReadFuncs(...*xml.Decoder) ([]byte, error) {
	panic("method ReadFuncs not yet implemented")
}

// GoRoutine default implementation method of Data interface.
func (DefImplData) GoRoutine(<-chan string, <-chan struct{}) {
	panic("method GoRoutine not yet implemented")
}

// StructArg default implementation method of Data interface.
func (DefImplData) StructArg(...Text) {
	panic("method StructArg not yet implemented")
}

// FindText default implementation method of Data interface.
func (DefImplData) FindText(<-chan string) (Text, error) {
	panic("method FindText not yet implemented")
}

// SendText default implementation method of Data interface.
func (DefImplData) SendText(Text, chan<- *Text) {
	panic("method SendText not yet implemented")
}

// Foo default implementation method of Data interface.
func (DefImplData) Foo(uint64, bool, *string) (*Text, *string, []byte) {
	panic("method Foo not yet implemented")
}

// Bar default implementation method of Data interface.
func (DefImplData) Bar(map[string]*Text) map[chan string]bool {
	panic("method Bar not yet implemented")
}

// GetMany default implementation method of Data interface.
func (DefImplData) GetMany(int, int, int, Text, Text) ([]Text, []Text, int64, error) {
	panic("method GetMany not yet implemented")
}

// GetImages default implementation method of Data interface.
func (DefImplData) GetImages(...string) ([]image.Image, error) {
	panic("method GetImages not yet implemented")
}
